For the complete documentation index, see llms.txt. This page is also available as Markdown.

Eski Faturaları Toplu Dışarı Aktarır

Faturaları toplu olarak dışarı aktarır.

post
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
fileTypestring · enumRequiredPossible values:
Bodystring · uuid[]
string · uuid[]Optional
Responses
200

Faturaları toplu olarak dışarı aktarır

application/json
stringOptional
post/Old/Export/{fileType}
POST /earchive/Old/Export/{fileType} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 40

[
  "123e4567-e89b-12d3-a456-426614174000"
]
text
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/earchive/Old/Export/Xml", Method.Post);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"["ff618918-6243-4ea4-a880-3c0f645c16b1"]";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/earchive/Old/Export/Xml',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'[
  "ff618918-6243-4ea4-a880-3c0f645c16b1"
]',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated